libgdamm: Gnome::Gda::StatementError Class Reference

libgdamm 4.99.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gnome::Gda::StatementError Class Reference
Inheritance diagram for Gnome::Gda::StatementError:
[legend]
Collaboration diagram for Gnome::Gda::StatementError:
[legend]

## Public Types
enum | Code { STATEMENT_PARSE_ERROR, STATEMENT_SYNTAX_ERROR, STATEMENT_NO_CNC_ERROR, STATEMENT_CNC_CLOSED_ERROR, STATEMENT_EXEC_ERROR, STATEMENT_PARAM_TYPE_ERROR, STATEMENT_PARAM_ERROR }

## Public Member Functions
| StatementError (Code error_code, const Glib::ustring& error_message)
| StatementError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

enum Gnome::Gda::StatementError::Code

Enumerator
STATEMENT_PARSE_ERROR |
STATEMENT_SYNTAX_ERROR |
STATEMENT_NO_CNC_ERROR |
STATEMENT_CNC_CLOSED_ERROR |
STATEMENT_EXEC_ERROR |
STATEMENT_PARAM_TYPE_ERROR |
STATEMENT_PARAM_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::StatementError::StatementError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::StatementError::StatementError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gnome::Gda::StatementError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/statement.h